Telegram Integrations
Create Telegram Integration
Create Telegram integration
Authorization
ChatBotKit API Secret * Required
HTTP Authorization Scheme: bearer
Request Body * Required
Request Body Schema: application/json
namestring
The associated name
descriptionstring
The associated description
metaobject
Meta data information
blueprintIdstring
The ID of the blueprint
botIdstring
The ID of the bot this configuration is using
botTokenstring
The Telegram integration bot token
contactCollectionboolean
Weather to collect contacts
sessionDurationnumber
The session duration (in milliseconds)
attachmentsboolean
Weather the bot supports attachments
allowFromstring
Newline-or-comma-separated list of allowed senders. Use @username or @numericId for users,
import { ChatBotKit } from '@chatbotkit/sdk'
const cbk = new ChatBotKit({
secret: process.env.CHATBOTKIT_API_KEY!
})
const response = await cbk.integration.telegram.create(
{)"name":"string","description":"string","meta":"object","blueprintId":"string","botId":"string","botToken":"string","contactCollection":"boolean","sessionDuration":"number","attachments":"boolean",}"allowFrom":"string"
{"id":"string"}